<?php
namespace Claromentis\News\AbsoluteUrl;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_559824e0a" . "c2e0f7e96c" . "810473f78f" . "5fe" => base64_decode("L25" . "ld3" . "Mv"), "_4fabdeae28e3" . "ef4591a36a28a" . "346dc55" => base64_decode("YWRtaW4ubGFicy5hYnNvbHV0ZV91cmwubmV3c" . "w=="));
use Claromentis\Admin\Sysadmin\AbsoluteUrl\AbstractAbsoluteUrl;
use Claromentis\Core\DAL\QueryBuilder;
abstract class AbstractNewsAbsoluteUrl extends AbstractAbsoluteUrl
{
    
    
    
    
    public function getName() : string
    {
        return ($this->lmsg)($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4fabdeae28e3ef45" . "91a36a28a346dc55"]);
    }
    
    
    
    
    public function getLink($id) : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_559824e0a" . "c2e0f7e96c" . "810473f78f" . "5fe"] . $id;
    }
    
    
    
    
    public abstract function getType() : string;
    
    
    
    
    public abstract function getQueryBuilder() : QueryBuilder;
}